$(function () {
    // 更新价格函数
    function calculate(){
        var insure = 0
        if($('#insure').prop('checked') && $('#insure').length > 0){

            insure = Number($('#shipping-insure').html())
        }
        if($('#topay').prop('checked') || $('#insure').length == 0){
            var freight = 0
        }else{
            var freight = Number($('#shipping-freight').html())
        }
        $('#shipping-price').text(insure + freight)
        $('#count-price').text(insure + freight + Number($('#product-price').text()))

    }

	//收货地址
    $('.click_name').click(function () {
        if($(this).attr('mode') != 'view') {
            $('.click_name').removeClass('click_name_active')
            $(this).addClass('click_name_active')
            $(this).prev().click()
        }
    })
    // 快递
    $('.shipping').click(function () {
        if($(this).attr('mode') != 'view' && $(this).attr('mode') != 'edit' ) {
            $('#shipping-id').val($(this).attr('shippingid'))
            $(this).addClass('current_active').siblings().removeClass('current_active')
            $('#shipping-description').text($(this).attr('description'))
            $('#shipping-insure').text($(this).attr('insure'))
            $('#shipping-freight').text($(this).attr('freight'))
            $('#topay').prop('checked', false)
            if (Number($(this).attr('topay')) == 1) {
                $('#topay').removeAttr('disabled')
            } else {
                $('#topay').attr('disabled', 'disabled')
            }
            calculate()
        }
    })
    // 手续费、保价点击
    $('#topay').click(function () {
        calculate()
    })
    $('#insure').click(function () {
        calculate()
    })
    // 更新价格
    calculate()
})